| GET | /RestApi/personalizations/render |
|---|
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
open class ControlDataMessage
{
open var PageNodeId:UUID? = null
open var PageDataId:UUID? = null
open var Controls:ArrayList<String>? = null
open var Url:String? = null
open var PageNodeKey:String? = null
open var CorrelationId:String? = null
}
Kotlin ControlDataMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/personalizations/render HTTP/1.1 Host: www.imglobal.com Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length
{Unable to show example output for type 'IList`1' using the custom 'csv' filter}Cannot create an instance of an interface.